<?php

namespace common\logic\Distribution\Distribution\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Distribution\Distribution\Model\Distribution;
use yii\db\ActiveQuery;

class DistributionRepositoryQuery extends AbstractRepositoryQuery
{
    public function createQuery()
    {
        $this->query = Distribution::find();

        return $this;
    }

    public function filterByDate(string $date)
    {
        $this->query->andWhere(['date' => $date]);

        return $this;
    }
}