<?php

namespace common\logic;

abstract class AbstractRepository extends AbstractService implements RepositoryInterface
{
    public function createQuery()
    {
        $this->repositoryQuery->createQuery();

        return $this->repositoryQuery;
    }

    public function createDefaultQuery()
    {
        $this->createQuery();

        $defaultOptions = $this->getDefaultOptionsSearch();

        // id producer
        if(isset($defaultOptions['attribute_id_producer']) && $defaultOptions['attribute_id_producer']) {
            $this->repositoryQuery->andWhere([$defaultOptions['attribute_id_producer'] => $this->getProducerContextId()]);
        }

        return $this->repositoryQuery;
    }
}